//! Discord bot providing a subscription system to topics.
//! Powered by [`Serenity`]
//!
//! [`Serenity`]: https://github.com/serenity-rs/serenity

mod client;
mod database;
mod discord;
mod environment;

use client::Client;

#[tokio::main]
async fn main() {
    env_logger::init();
    let mut client = Client::new().await;

    client.start().await;
}
